/*
###############################################################################
# Copyright (c) 2017, PulseRain Technology LLC 
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License (LGPL) as 
# published by the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
# or FITNESS FOR A PARTICULAR PURPOSE.  
# See the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
*/

//============================================================================
// Example: DTMF detector
//     This example will collect audio samples from the onboard microphone,
// process them to detect DTMF key press, and print the decoded key press
// to the Serial port in 115200 bps
//
//     The DTMF keypress can be generated by Apps. On iOS, the following Apps
// can be used to generate DTMF key press:
//    *) DTMF Pad, by Seiji Ieiri
//    *) Tone Dial
//============================================================================

#include <M10DTMF.h>
 

//============================================================================
// setup()
//============================================================================

void setup() {

    delay(1000);
    Serial.begin(115200);
    delay(1000);
    
    DTMF.begin();
    
    Serial.write("DTMF Detector\n");
  
} // End of setup()



//============================================================================
// loop()
//============================================================================

void loop() {
  int8_t t;

  t = DTMF.decode();

  if (t >= 0) {
     Serial.print(t, HEX);
  }       
      
} // End of loop()

